.fancy-content-section {
    padding: 20px 0;
}

.fancy-content-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

.fancy-content-container h3 {
    margin: 0;
}

.fancy-content-container p {
    margin-bottom: 0;
}

.fancy-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.fancy-content-row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.fancy-content-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex: 1 1 calc(50% - 20px); /* Two blocks per row with gap */
    background-color: var(--container-low);
    padding: 20px;
    border-radius: 10px;
    min-width: 420px;
}

.fancy-content-block-text {
    flex: 1;
    padding-right: 20px;
}

.fancy-content-block-media {
    flex: 0 0 150px;
    height: 150px;
}

.single-block {
    align-items: inherit;
}

.single-block .fancy-content-block-text > *:first-child {
    margin-top: 0;
    padding-top: 0;
}

.single-block .fancy-content-block-media {
    flex: 0 0 300px;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.fancy-content-block-media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.truncate-text {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.read-more-btn {
	margin-top: 10px;
	display: inline-block;
	background-color: var(--primary-color);
	color: #fff;
	padding: 8px 12px;
	border-radius: 3px;
	margin-top: 10px;
    text-decoration: none!important;
}

.read-more-btn:hover {
    background-color: var(--primary-color-dark);
    color: #fff;
}
@media (max-width: 1080px) {
    
}

@media (max-width: 768px) {
    .single-block .fancy-content-block-media {
        flex: 0 0 auto;
        flex-direction: row;
    }

    .fancy-content-block {
        flex-direction: column-reverse;
        min-width: 100%;
        padding: 0;
        border-radius: 5px;
        overflow: hidden;
        position: relative;
    }

    .fancy-content-block:not(.single-block) .fancy-content-block:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0.3);
        z-index: 1;
        pointer-events: none;
    }

    .fancy-content-block:not(.single-block) .fancy-content-block-text {
        position: absolute;
        padding: 14px;
        z-index: 1;
        color: #fff;
        text-align: center;
        transform: translateY(-50%);
        top: 50%;
        pointer-events: none;
    }

    .single-block .fancy-content-block-text {
        padding: 20px;
    }

    .fancy-content-container h3 {
        font-size: 20px;
        margin-bottom: 18px;
        text-transform: uppercase;
        text-shadow: 0 0 5px rgba(0,0,0,0.5);
    }

    .read-more-btn {
        display: inline-block;
        color: #000000;
        border-radius: 5px;
        letter-spacing: 1px;
        font-size: 12px;
        font-family: 'Poppins',Helvetica,Arial,Lucida,sans-serif;
        font-weight: 600;
        text-transform: uppercase;
        background-color: #ffffff;
        padding: 1em 1.4em;
        pointer-events: all;
    }

    .read-more-btn:hover {
        background-color: var(--primary-color);
    }

    .fancy-content-container p {
        display: none;
    }

    .fancy-content-block-media {
        width: 100%;
        height: auto;
        flex: unset;
    }

    .fancy-content-block-media img {
        width: 100%;
        /*height: auto;
        border-radius: 10px 10px 0 0;*/
        border-radius: 0;
    }
}

@media (max-width: 576px) {
    
}